be.fgov.ehealth.technicalconnector.signature.config.impl

## Class ConfigurationModuleRegisterTransformers

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.signature.config.impl.ConfigurationModuleRegisterTransformers

- All Implemented Interfaces:
    ConfigurationModule

      public class ConfigurationModuleRegisterTransformers
      extends Object
      implements ConfigurationModule

  Configuration module to register the custom transforms to org.apache.xmlsec.transforms. Implementation of `ConfigurationModule`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationModuleRegisterTransformers()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Configuration config)` Method that initialise the configuration module.
    `void` | `unload()` Method that restores the configuration module and reset the system to the initial situation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationModuleRegisterTransformers

          public ConfigurationModuleRegisterTransformers()

  - ### Method Detail

    - #### init

          public void init(Configuration config)
                    throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that initialise the configuration module.
      Specified by:
        `init` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

    - #### unload

          public void unload()
                      throws TechnicalConnectorException

      Description copied from interface: `ConfigurationModule`
      Method that restores the configuration module and reset the system to the initial situation.
      Specified by:
        `unload` in interface `ConfigurationModule`
      Throws:
        `TechnicalConnectorException`

Connector Packaging TECHNICAL 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.